Bug 1084493

Summary: Missing MIDDLE DOT (u+00B7) glyph for Liberation Sans Italic
Product: [Fedora] Fedora Reporter: Joan Montané <jmontane>
Component: liberation-fontsAssignee: vishal vijayraghavan <vvijayra>
Status: ASSIGNED --- QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 33CC: fonts-bugs, i18n-bugs, petersen, psatpute, vishalvijayraghavan
Target Milestone: ---Keywords: i18n, Reopened
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1626989 (view as bug list) Environment:
Last Closed: 2017-08-08 11:45:58 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1072095, 1626899, 1626989    
Attachments:
Description Flags
Screenshot showing the bug none

Description Joan Montané 2014-04-04 13:31:01 UTC
Created attachment 882714 [details]
Screenshot showing the bug

Description of problem:

In Windows, there is no glyph for MIDDLE DOT (U+00B7) when using Liberation Sans Italic, an empty space is showed.


Version-Release number of selected component (if applicable):

2.00.1


How reproducible:

Install Liberation Sans Italic files in a Windows machine (tested in Windows 7 32 and 64 bits). The esay way is installing LibreOffice 4.2, :)


Steps to Reproduce:
1. Open a new document LibreOffice Writer
2. Type "cel·la" (cell) "·" is U+00B7
3. Select "cel·la" text and set format as "Libreration Sans, Italic".


Actual results:
4.- "cel la" is showed in italics,you can copy and paste and set other font.

Expected results:

5.- "cel·la"

Additional info:

U+00B7 is a used character for Catalan text. So, please, fix this issue.

Comment 1 Pravin Satpute 2014-04-14 06:52:14 UTC
Good Catch !!
I will fix this in next release.

Comment 2 Pravin Satpute 2014-04-21 11:30:56 UTC
fixed with https://git.fedorahosted.org/cgit/liberation-fonts.git/commit/?id=1acb38f1cd4d7af32548a454375c1c0dc091309c

will be available with next release.

Comment 3 Jaroslav Reznik 2015-03-03 17:12:24 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22

Comment 4 Fedora End Of Life 2016-07-19 11:18:00 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 5 Fedora End Of Life 2017-07-25 18:38:56 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 6 Fedora End Of Life 2017-08-08 11:45:58 UTC
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 7 Pravin Satpute 2017-08-08 12:19:48 UTC
This has been already fixed in upstream, just release is required.

Comment 8 sachin 2018-07-19 12:23:29 UTC
It looks like the issue is fixed with liberation-fonts version 2.0.3 in upstream

Comment 9 Jens Petersen 2018-07-20 09:51:06 UTC
I wish in Fedora

Comment 10 sachin 2018-07-20 10:02:39 UTC
yup The issue is not reproducible with libration-fonts Version: 1.07.4
Release 3: 11.fc28  in Fedora 28

Comment 11 vishal vijayraghavan 2019-04-24 04:55:59 UTC
This bug is not reproducible in f28 liberation-fonts-1.07.4-11 and also on f29 liberation-fonts-2.00.3.1
Working on dependant bug #1072095, hence not closing this bug.

Also if you feel this issue still exist on different platform and/or distribution feel free to file bug in upstream [1]


[1] https://github.com/liberationfonts/liberation-fonts/issues


Thanks

Comment 12 Ben Cotton 2020-08-11 13:02:22 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 33 development cycle.
Changing version to 33.